Get stake authority summary metrics
curl --request GET \
--url https://api.rated.network/v1/solana/delegators/stakeAuthorities/{stake_authority}/summary \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rated.network/v1/solana/delegators/stakeAuthorities/{stake_authority}/summary"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rated.network/v1/solana/delegators/stakeAuthorities/{stake_authority}/summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"aggregateValidatorEffectiveness": 0.984,
"blendedMevCommissionRate": 0.07,
"blendedVoteCommissionRate": 0.07,
"delegatedStake": 100000.55,
"delegations": [
{
"percentage": 0.8,
"validatorName": "Ledger by Figment",
"validatorVoteAccount": "26pV97Ce83ZQ6Kz9XT4td8tdoUFPTng8Fb8gPyc53dJx"
},
{
"percentage": 0.2,
"validatorName": "Aurora Validator",
"validatorVoteAccount": "34yvUa2fxfm2tUqxFEj9PHrVNwCcdzd51eo9hntWpZRs"
}
],
"delegatorApy": 0.05,
"mevRewardsApr": 0,
"networkPenetration": 0.24,
"stakeAuthority": "123FPQtifVXkooNAhiYiKeoQaL9tD9kkY5mQvGRwnLy2",
"stakingRewardsApy": 0.05,
"sumCommissionPaid": 0.0001,
"sumMevCommissionPaid": 0,
"sumMevRewards": 0,
"sumMissedStakingRewards": 0,
"sumRewards": 0.002,
"sumStakingCommissionPaid": 0.0001,
"sumStakingRewards": 0.002,
"timeWindow": "1d",
"validatorDelegates": 2
}{
"detail": [
{
"msg": "<string>",
"type": "<string>",
"loc": [
"<string>"
]
}
]
}Overview
Get stake authority summary metrics
This endpoint returns various metrics for a specific stake authority aggregated across different time windows.
GET
/
v1
/
solana
/
delegators
/
stakeAuthorities
/
{stake_authority}
/
summary
Get stake authority summary metrics
These endpoints return high level information about stake authorities over the time period such as their network penetration, rewards, annual percentage yield (APY), paid commissions, and the effectiveness of their validator delegate/s.
On the
1d time period, the APY takes into account the rewards received for the last 3 days to smooth out the noise given Solana’s staking rewards schedule, which is every epoch (~2 days).Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Available options:
1d, 7d, 30d, all Response
Successful Response
Available options:
1d, 7d, 30d, all Required range:
x >= 0Show child attributes
Show child attributes
Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$